DACS_CONF(8) | DACS Web Services and CGI | DACS_CONF(8)

## NAME

dacs_conf — display DACS configuration directives

## SYNOPSIS

`dacs_conf` [`dacsoptions`]

## DESCRIPTION

This program is part of the DACS suite.

The dacs_conf web service processes and displays DACS configuration files (see dacs.conf(5)).

If XML output is selected, a document conforming to dacs_conf_reply.dtd is returned.

Although the order in which clauses appear in configuration files can be important, the order of configuration directives is for the most part not significant. The exception is the EVAL directive. These directives are listed in the order in which they would be evaluated, and their unevaluated values appear in the output.

### Note

This program is also available as a DACS utility, dacsconf(1). Because dacs_admin(8) provides the same functionality and more, dacs_conf may be removed in a future release.

### Security

Because the configuration might reveal information that could be taken advantage of by an attacker, only the DACS administrator should be able to run this command. Accordingly, a DACS ACL restricts use of this web service to a DACS administrator.

## OPTIONS

### Web Service Arguments

In addition to the standard CGI arguments, dacs_conf understands the following CGI arguments:

`DIRECTIVE`

  This optional, repeatable argument is a comma-separated list of directive names or variable references to be displayed. This is similar to the `directive-name` arguments to dacsconf(1).

  An example of a directive name is JURISDICTION_NAME. An example of a variable reference is `${Conf::jurisdiction_name:i}`.

`VARS`

  If the value of this optional argument is "`yes`", the effect on output formatting is the same as when the `-vars` flag is give to dacsconf(1). The default value is "`no`".

## FILES

conf.css

## DIAGNOSTICS

The program exits `0` if everything was fine, `1` if an error occurred.

## SEE ALSO

dacsconf(1), dacs.conf(5)

## AUTHOR

Distributed Systems Software (www.dss.ca)

## COPYING

Copyright © 2003-2012 Distributed Systems Software. See the `LICENSE` file that accompanies the distribution for licensing information.

DACS Version 1.4.28b | 1-Mar-2013 | DACS_CONF(8)

Table of Contents

Font:

- Z
- Z
- Z
- Z

−−

Set

++

$Id: dacs_conf.8.xml 2563 2012-02-07 22:40:41Z brachman $